$ErrorActionPreference = 'Stop'; # stop on all errors

$taskIsRunning = Get-ScheduledTask | ? TaskName -eq "keepalive-admobilize"
if ($taskIsRunning) {
  schtasks.exe /DELETE /TN "keepalive-admobilize" /F
}

$desktopUiISRunning = GET-PROCESS | ? ProcessName -eq "admobilize-desktop-ui"
if($desktopUiISRunning) {
  taskkill /f /im "admobilize-desktop-ui.exe"
}

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-1.0.33-win32-ia32.msi'
$url64 = 'https://win-installers.admobilize.com/admobilize-viewer/admobilize-desktop-ui-1.0.33-win32-x64.msi'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  url64         = $url64
  softwareName  = 'admobilize-viewer*'
  checksum      = 'BB8D43F80D5BEEB5DC28AFAFB634F5606A290CB824562D725E5B3DA51325E9A2'
  checksum64    = '5913058CC976942CE6125C6E2502823537398B5B52BC034DFDC149E8624810C1'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyPath "${env:ProgramFiles(x86)}\AdMobilize Desktop UI" -PathType 'Machine'

if ($desktopUiISRunning) {
  $commandExist = Get-Command admobilize-desktop-ui.exe -errorAction SilentlyContinue
  if($commandExist) {
    admobilize-desktop-ui.exe
  }
}
